Subject: bug#21665: [bug-diffutils] bug#21665: Use of mmap for large files

From: Paul Eggert <[email-masked]>
Date: Sun, 11 Oct 2015 14:14:53 -0700

Maurice van der Pot wrote:
> Would you be open to patches that enable diffing large files by using
> mmap?

I doubt whether that would help that much, as it still needs to construct 
information about each line, and that information consumes memory too.  Doing 
this in secondary storage would be a bear.  In practice when I've run into this 
problem, I've either gotten a bigger machine or made my input lines shorter. 
Preferably the former.